Bug 7265 - REGRESSION: noscript, noframes, nolayer, noembed tags insert break inside paragraph tag
Summary: REGRESSION: noscript, noframes, nolayer, noembed tags insert break inside par...
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: mitz
URL:
Keywords: HasReduction, Regression
Depends on:
Blocks:
 
Reported: 2006-02-14 21:39 PST by David Kilzer (:ddkilzer)
Modified: 2006-02-25 05:39 PST (History)
2 users (show)

See Also:


Attachments
Test case (224 bytes, text/html)
2006-02-14 21:42 PST, David Kilzer (:ddkilzer)
no flags Details
Test case v2 (524 bytes, text/html)
2006-02-14 22:31 PST, David Kilzer (:ddkilzer)
no flags Details
Test case v3 (554 bytes, text/html)
2006-02-14 22:41 PST, David Kilzer (:ddkilzer)
no flags Details
Treat these as inline elements (except non-skipped noscript) (6.20 KB, patch)
2006-02-15 12:31 PST, mitz
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2006-02-14 21:39:48 PST
A set of <noscript></noscript> tags inside of a set of <p></p> tags inserts a hard return (equivalent of a <br>) when rendered.  It should not do this.

This is a regression from Safari 2.0.3 (417.8) on Mac OS X 10.4.5.
Comment 1 David Kilzer (:ddkilzer) 2006-02-14 21:42:17 PST
Created attachment 6498 [details]
Test case
Comment 2 David Kilzer (:ddkilzer) 2006-02-14 22:31:31 PST
Created attachment 6499 [details]
Test case v2

Per mitzpettel on IRC, this is probably a regression from Bug 4475.
Comment 3 David Kilzer (:ddkilzer) 2006-02-14 22:33:13 PST
Firefox 1.5.0.1 behavior:

This sentence contains noscript tags and should be  on one line.

This sentence contains noframes tags and should be
on one line.

This sentence contains nolayer tags and should be on one line.

This sentence contains noembed tags and should be on one line.
Comment 4 David Kilzer (:ddkilzer) 2006-02-14 22:34:56 PST
MSIE 6 behavior:

This sentence contains noscript tags and should be on one line.

This sentence contains noframes tags and should be on one line.

This sentence contains nolayer tags and should be on one line.

This sentence contains noembed tags and should be on one line.
Comment 5 David Kilzer (:ddkilzer) 2006-02-14 22:41:07 PST
Created attachment 6500 [details]
Test case v3
Comment 6 David Kilzer (:ddkilzer) 2006-02-14 22:56:11 PST
Filed this bug on bugzilla.mozilla.org for the Firefox inconsistency:

https://bugzilla.mozilla.org/show_bug.cgi?id=327250
Comment 7 Joost de Valk (AlthA) 2006-02-15 02:02:58 PST
Opera renders this exactly the same as IE does, just so you know ;)
Comment 8 mitz 2006-02-15 12:31:27 PST
Created attachment 6508 [details]
Treat these as inline elements (except non-skipped noscript)
Comment 9 Anders Carlsson 2006-02-15 13:28:27 PST
Comment on attachment 6508 [details]
Treat these as inline elements (except non-skipped noscript)

r=me
Comment 10 David Kilzer (:ddkilzer) 2006-02-25 05:39:06 PST
Verified fixed in r12988.